GroupMember (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.session.GroupMember class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.session
Class GroupMember

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.authz.server.session.GroupMember

All Implemented Interfaces:
  java.io.Serializable

    public class GroupMember

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`protected` | `GroupMember()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`long` | `getEntryTime()`
`ResourceGroup` | `getGroup()`
`Resource` | `getResource()`
`int` | `hashCode()`
`protected void` | `setEntryTime(long t)`
`protected void` | `setGroup(ResourceGroup g)`
`protected void` | `setResource(Resource r)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupMember

    protected GroupMember()

Method Detail

### getEntryTime

    public long getEntryTime()

### setEntryTime

    protected void setEntryTime(long t)

### getGroup

    public ResourceGroup getGroup()

### setGroup

    protected void setGroup(ResourceGroup g)

### getResource

    public Resource getResource()

### setResource

    protected void setResource(Resource r)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.